System not localized after an OEM or offline installation

Bug #1307983 reported by Jean-Baptiste Lallement
32
This bug affects 7 people
Affects Status Importance Assigned to Milestone
localechooser (Ubuntu)
Fix Released
High
Unassigned
Precise
Won't Fix
High
Unassigned
Trusty
Fix Released
High
Unassigned
ubiquity (Ubuntu)
Fix Released
High
Unassigned
Precise
Won't Fix
High
Unassigned
Trusty
Fix Released
High
Unassigned

Bug Description

Ubuntu Trusty Desktop amd64 20140414

TEST CASE:
1. Do an OEM installation of Ubuntu Trusty Desktop AMD64
2. Reboot and prepare for shipping
3. Reboot and configure the end-user
  - Select language: Deutsch
4. After the setup, reboot

ACTUAL RESULT:
System is in english

EXPECTED RESULT:
System is in german

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: ubiquity (not installed)
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
ApportVersion: 2.14.1-0ubuntu2
Architecture: amd64
Date: Tue Apr 15 12:21:55 2014
InstallCmdLine: file=/cdrom/preseed/ubuntu.seed boot=casper only-ubiquity initrd=/casper/initrd.lz quiet splash -- keyboard-configuration/layoutcode=fr keyboard-configuration/variantcode=oss oem-config/enable=true
InstallationDate: Installed on 2014-04-15 (0 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140414)
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Jean-Baptiste Lallement (jibel) wrote :
Revision history for this message
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1307983

tags: added: iso-testing
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubiquity (Ubuntu):
status: New → Confirmed
Revision history for this message
Dave Morley (davmor2) wrote :

This seems to effect both the oem install in French and the OEM User in German. Most things were still in English on both occasions.

tags: added: testcase
Changed in ubiquity (Ubuntu):
importance: Undecided → High
affects: ubiquity (Ubuntu) → accountsservice (Ubuntu)
Changed in accountsservice (Ubuntu Precise):
status: New → Confirmed
importance: Undecided → High
Revision history for this message
Dimitri John Ledkov (xnox) wrote :

I believe both this bug #1307983 and bug #1308056 are regressions since landing accountsservice patch for bug #1134364. Whilst the change does not regress bug #1134364 test case.

affects: accountsservice (Ubuntu Precise) → localechooser (Ubuntu Precise)
summary: - System not localized after an OEM installation
+ System not localized after an OEM or offline installation
Changed in ubiquity (Ubuntu Precise):
status: New → Confirmed
Changed in ubiquity (Ubuntu Trusty):
status: New → Confirmed
Changed in ubiquity (Ubuntu Precise):
importance: Undecided → High
Changed in ubiquity (Ubuntu Trusty):
importance: Undecided → High
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package localechooser - 2.49ubuntu5

---------------
localechooser (2.49ubuntu5) trusty; urgency=medium

  * Create skeleton locale-langpack subdirectories for each language being
    installed, so that accountsservice knows to offer the
    incomplete-language-support prompt (LP: #1307983).
 -- Colin Watson <email address hidden> Tue, 15 Apr 2014 19:50:37 +0100

Changed in localechooser (Ubuntu Trusty):
status: Confirmed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.18.6

---------------
ubiquity (2.18.6) trusty; urgency=medium

  * Automatic update of included source packages: localechooser 2.49ubuntu5.
  * Rebase localechooser patch to account for creation of skeleton
    locale-langpack subdirectories (LP: #1307983).
 -- Colin Watson <email address hidden> Tue, 15 Apr 2014 19:58:47 +0100

Changed in ubiquity (Ubuntu Trusty):
status: Confirmed → Fix Released
Revision history for this message
Jean-Baptiste Lallement (jibel) wrote :

I am reopening the task for Trusty, the end user is not notified to install missing language support on first login and gnome-language-selector crashes (bug 1308396)

Changed in ubiquity (Ubuntu Trusty):
status: Fix Released → Triaged
Revision history for this message
Jean-Baptiste Lallement (jibel) wrote :

Actually it is a bit different, I chose German for the end-user and g-l-s wants to install EN and FR langpacks.

Revision history for this message
Dimitri John Ledkov (xnox) wrote :

"Actually it is a bit different, I chose German for the end-user and g-l-s wants to install EN and FR langpacks." - makes sense we are probably not running localechooser correctly under oem case.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.18.7

---------------
ubiquity (2.18.7) trusty; urgency=medium

  [ Aurélien Gâteau ]
  * KDE: Remove spacer to fix vertical space in sidebar LP: #1308440

  [ Dimitri John Ledkov ]
  * Fix localechooser-apply in OEM configuration mode (LP: #1307983),
    whilst previous only fixed the offline installation mode.
 -- Dimitri John Ledkov <email address hidden> Wed, 16 Apr 2014 11:51:38 +0100

Changed in ubiquity (Ubuntu Trusty):
status: Triaged → Fix Released
Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

In case of Chinese, ${loc%_*} creates /usr/share/locale-langpack/zh. While that seems to be sufficient to trigger prompting for installation of the langpacks, the directory actually used by the langpacks is either zh_CN or zh_TW. So zh remains a skeleton directory.

Would it be possible to treat Chinese as a special case in ubiquity and localechooser and create zh_CN or zh_TW instead of zh?

Another option might be to let language-selector remove the skeleton dir somehow.

Revision history for this message
Jean-Baptiste Lallement (jibel) wrote :

With Trusty Desktop 20140416.1:

Case 1: Non-english installation without network
- After installation
  - Desktop is in english
  - user is notified of missing langpacks and can proceed with their installation.
  - desktop is localized after installation of the langpacks and a reboot.

Case 2: OEM installation, end user selects a non-english language
- After end user setup:
  - Desktop is in english
  - User is *not notified* that langpacks are missing even after a reboot
  - if the user opens "System Settings / Language supports" missing langpacks are proposed for installation. The system is localized after installation of the langpacks and a reboot.

Revision history for this message
Steve Langasek (vorlon) wrote :

The Precise Pangolin has reached end of life, so this bug will not be fixed for that release

Changed in localechooser (Ubuntu Precise):
status: Confirmed → Won't Fix
Changed in ubiquity (Ubuntu Precise):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers